#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
# Check_MK checkpoint_soft_rais WATO plugin
#
#
#

register_check_parameters(
    subgroup_networking,
    'checkpoint_raid',
    _('Check Point Soft Raid'),
    Dictionary(
        help=_(''),
        elements=[
            ('ignore_disks',
             TextUnicode(
                 title=_('list of comma separated disk IDs to ignore'),
                 help=_('This is usefull for RAID Arrays with missing disks like on the Smart-1 5150. There the '
                        'array is configured for 12 Disk but in the default Hardware are only 6 Disks.'),
                 default_value=None,
                 allow_empty=False,
             )),
        ],
    ),
    None,
    match_type='dict',
)
